Package rdkit :: Package Chem :: Package FeatMaps :: Module FeatMaps :: Class FeatMapParams

[hide private]
[frames] | no frames]

# Class FeatMapParams

source code

    object --+
             |
            FeatMapParams

    one of these should be instantiated for each
    feature type in the feature map

Nested Classes | [hide private]

| FeatProfile scoring profile of the feature

Instance Methods | [hide private]

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| radius = `2.5` cutoff radius
| width = `1.0` width parameter (e.g.
| featProfile = `0`

Properties | [hide private]

Inherited from `object`: `__class__`

Class Variable Details | [hide private]

### width

    width parameter (e.g. the gaussian sigma)

Value:

      1.0